ssdp_ctrlpt.c File Reference
SSDP Library
`#include "config.h"`
`#include "upnputil.h"`
`#include "httpparser.h"`
`#include "httpreadwrite.h"`
`#include "ssdp_ResultData.h"`
`#include "ssdplib.h"`
`#include "statcodes.h"`
`#include "unixutil.h"`
`#include "upnpapi.h"`
`#include "UpnpInet.h"`
`#include "ThreadPool.h"`
`#include <stdio.h>`
Include dependency graph for ssdp_ctrlpt.c:

## Functions

static void | send_search_result (IN void *data)
| Sends a callback to the control point application with a SEARCH result. More...
static int | CreateClientRequestPacket (INOUT char *RqstBuf, IN size_t RqstBufSize, IN int Mx, IN char *SearchTarget, IN int AddressFamily)
| Creates a HTTP search request packet depending on the input parameter. More...
static void | searchExpired (void *arg)
SSDP Control Point Functions
void | ssdp_handle_ctrlpt_msg (http_message_t *hmsg, struct sockaddr_storage *dest_addr, int timeout)
| This function handles the ssdp messages from the devices. These messages includes the search replies, advertisement of device coming alive and bye byes. More...
int | SearchByTarget (int Hnd, int Mx, char *St, void *Cookie)
| Creates and send the search request for a specific URL. More...